export declare const PrintCommon: import('../../utils/withInstall').WithInstall<import('vue').DefineComponent<{
    waitPrintList: {
        type: import('vue').PropType<{
            vueComponent: import('vue').Component;
            props: import('../..').PureObject;
        }[]>;
        required: true;
    };
}, {
    printHandle: () => Promise<unknown>;
}, unknown, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    waitPrintList: {
        type: import('vue').PropType<{
            vueComponent: import('vue').Component;
            props: import('../..').PureObject;
        }[]>;
        required: true;
    };
}>>, {}, {}>>;
export default PrintCommon;
declare module 'vue' {
    interface GlobalComponents {
        DdMoneyInput: typeof PrintCommon;
    }
}
